Bug 147539 - Setting large stack size limit causes 32-bit programs to crash
Setting large stack size limit causes 32-bit programs to crash
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-02-08 18:06 EST by Bryan O'Sullivan
Modified: 2015-01-04 17:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 20:39:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bryan O'Sullivan 2005-02-08 18:06:29 EST
Description of problem:

With the 2.6.9-1.681_FC3 kernel on x86_64, setting a large stack size
limit causes all 32-bit programs to crash almost immediately at startup.

Version-Release number of selected component (if applicable):

2.6.9-1.681_FC3 (UP and SMP)

How reproducible:


Steps to Reproduce:
1. Compile 32-bit "hello world", static or dynamic.
2. Run it.  Works fine.
3. ulimit -s 4294967295
4. Run the same program again.  Crash!
Actual results:

~ $ ulimit -s
~ $ file a.out
a.out: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), for
GNU/Linux 2.2.5, dynamically linked (uses shared libs), not stripped
~ $ ./a.out
hello world
~ $ ulimit -s 4294967295
~ $ ./a.out
Segmentation fault
~ $ uname -a
Linux eng-25 2.6.9-1.681_FC3smp #1 SMP Thu Nov 18 15:30:11 EST 2004
x86_64 x86_64 x86_64 GNU/Linux

Expected results:

The program should run OK.  It runs fine on SuSE machines and on FC1
and FC2.

Additional info:

The current rawhide kernel doesn't appear to have the problem:

~ $ ulimit -s 4294967295
~ $ ./a.out
hello world
~ $ uname -r
Comment 1 Bryan O'Sullivan 2005-02-08 18:07:57 EST
By the way, the machine where the rawhide kernel is running has
vanilla FC3 installed.  Only the kernel is newer.
Comment 2 Dave Jones 2005-07-15 15:58:34 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Dave Jones 2005-10-02 20:39:16 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.